Fitatu\ShopBundle\Entity\Product:
    type: entity
    table: null
    repositoryClass: Fitatu\ShopBundle\Repository\ProductRepository
    id:
        productId:
            type: integer
            id: true
            generator:
                strategy: AUTO
    fields:
        productName:
            type: string
            length: '100'
        productImage:
            type: string
            length: '100'
        productPrice:
            type: decimal
            precision: '2'
            scale: '2'
        productDescription:
            type: text
        createdAt:
            type: datetime
    lifecycleCallbacks: {  }
